Creates a new incident role from provided data
curl --request POST \
--url https://api.rootly.com/v1/incident_roles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_roles",
"attributes": {
"name": "<string>",
"summary": "<string>",
"description": "<string>",
"position": 123,
"optional": true,
"enabled": true,
"allow_multi_user_assignment": true
}
}
}
'{
"data": {
"id": "<string>",
"type": "incident_roles",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"summary": "<string>",
"description": "<string>",
"position": 123,
"optional": true,
"enabled": true,
"allow_multi_user_assignment": true
}
}
}Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/incident_roles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "incident_roles",
"attributes": {
"name": "<string>",
"summary": "<string>",
"description": "<string>",
"position": 123,
"optional": true,
"enabled": true,
"allow_multi_user_assignment": true
}
}
}
'{
"data": {
"id": "<string>",
"type": "incident_roles",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"summary": "<string>",
"description": "<string>",
"position": 123,
"optional": true,
"enabled": true,
"allow_multi_user_assignment": true
}
}
}